<?php
#### START AUTOCODE
################################################################################
#  Lumine - Database Mapping for PHP
#  Copyright (C) 2005  Hugo Ferreira da Silva
#  
#  This program is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#  
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#  
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>
################################################################################
/**
 * Classe generada para a tabela "opidiomas"
 * in 2013-05-16
 * @author Hugo Ferreira da Silva
 * @link http://www.hufersil.com.br/lumine
 * @package Domain
 *
 */

class Opidiomas extends Lumine_Base {

    // sobrecarga
    protected $_tablename = 'opidiomas';
    protected $_package   = 'Domain';
    
    
    public $opidiomasid;
    public $nome;
    public $lang;
    public $foto;
    public $formatodata;
    public $simbolodecimal;
    public $simbolomoeda;
    
    
    /**
     * get opidiomasid
     *
     */
    public function getOpidiomasid() {
    	return $this->opidiomasid;
    }
    
    /**
     * set opidiomasid
     * @param Type $value
     *
     */
    public function setOpidiomasid($value) {
    	$this->opidiomasid = $value;
    }
    /**
     * get nome
     *
     */
    public function getNome() {
    	return $this->nome;
    }
    
    /**
     * set nome
     * @param Type $value
     *
     */
    public function setNome($value) {
    	$this->nome = $value;
    }
    /**
     * get lang
     *
     */
    public function getLang() {
    	return $this->lang;
    }
    
    /**
     * set lang
     * @param Type $value
     *
     */
    public function setLang($value) {
    	$this->lang = $value;
    }
    /**
     * get foto
     *
     */
    public function getFoto() {
    	return $this->foto;
    }
    
    /**
     * set foto
     * @param Type $value
     *
     */
    public function setFoto($value) {
    	$this->foto = $value;
    }
    /**
     * get formatodata
     *
     */
    public function getFormatodata() {
    	return $this->formatodata;
    }
    
    /**
     * set formatodata
     * @param Type $value
     *
     */
    public function setFormatodata($value) {
    	$this->formatodata = $value;
    }
    /**
     * get simbolodecimal
     *
     */
    public function getSimbolodecimal() {
    	return $this->simbolodecimal;
    }
    
    /**
     * set simbolodecimal
     * @param Type $value
     *
     */
    public function setSimbolodecimal($value) {
    	$this->simbolodecimal = $value;
    }
    /**
     * get simbolomoeda
     *
     */
    public function getSimbolomoeda() {
    	return $this->simbolomoeda;
    }
    
    /**
     * set simbolomoeda
     * @param Type $value
     *
     */
    public function setSimbolomoeda($value) {
    	$this->simbolomoeda = $value;
    }
    
    /**
     * Inicia os valores da classe
     * @author Hugo Ferreira da Silva
     * @return void
     */
    protected function _initialize()
    {
        
        
        # nome_do_membro, nome_da_coluna, tipo, comprimento, opcoes
        
        $this->_addField("opidiomasid", "opidiomasid", "int", 11, array('primary' => true, 'notnull' => true, 'autoincrement' => true));
        $this->_addField("nome", "nome", "varchar", 84, array('notnull' => true));
        $this->_addField("lang", "lang", "char", 2, array('notnull' => true));
        $this->_addField("foto", "foto", "varchar", 250, array());
        $this->_addField("formatodata", "formatodata", "varchar", 10, array('notnull' => true));
        $this->_addField("simbolodecimal", "simbolodecimal", "char", 1, array('notnull' => true));
        $this->_addField("simbolomoeda", "simbolomoeda", "varchar", 5, array('notnull' => true));

        
    }

    /**
     * Recupera um objeto estaticamente
     * @author Hugo Ferreira da Silva
     * @return Opidiomas
     */
    public static function staticGet($pk, $pkValue = null)
    {
        $obj = new Opidiomas;
        $obj->get($pk, $pkValue);
        return $obj;
    }

	/**
	 * chama o destrutor pai
	 *
	 */
	function __destruct()
	{
		parent::__destruct();
	}
	
    #------------------------------------------------------#
    # Coloque todos os metodos personalizados abaixo de    #
    # END AUTOCODE                                         #
    #------------------------------------------------------#
    #### END AUTOCODE


}
